# vim: set ts=4 sw=4 et:

Name:           pmount
Version:        0.9.99
Release:        pm152.4.8

Summary:        Mount removable devices as normal user
URL:            http://alioth.debian.org/projects/pmount/
License:        GPL-2.0+
Group:          System/Base

Source0:        %{name}-%{version}-alpha.tar.bz2
Source1:        README.SUSE
Source2:        %{name}.rpmlintrc
Source3:        %{name}-bash_completion

Patch0:         %{name}-lazy_umount.patch
Patch1:         %{name}-no_root_install.patch
Patch2:         %{name}-ext4dev_warning.patch
Patch4:         pmount-no_pmount-hal_manpage.patch
Patch5:         pmount-fixes.patch

BuildRoot:      %{_tmppath}/build-%{name}-%{version}

%if 0%{?suse_version} < 1200
BuildRequires:  hal-devel
%endif
BuildRequires:  intltool perl-XML-Parser sysfsutils libblkid-devel
PreReq:         permissions

%description
Pmount is a wrapper around the standard mount program which permits normal
users to mount removable devices without a matching /etc/fstab entry.

%lang_package

%prep
%setup -q -n "%{name}-%{version}-alpha"
%patch0 -p1
%patch1 -p1
%if 0%{?suse_version} <= 1110
%patch2 -p0
%endif
%patch4
%patch5

%build
export CFLAGS="%{optflags} -fpie"
export LDFLAGS="-pie"
%configure

%__make %{?_smp_mflags}

%install
%makeinstall
%find_lang %name
%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}/README.SUSE
%__cp AUTHORS COPYING ChangeLog README.devel TODO %{buildroot}/%{_docdir}/%{name}/
%__install -D -m 644 %{SOURCE3} %{buildroot}/etc/bash_completion.d/%{name}

%pre
/usr/sbin/groupadd -r %{name} &>/dev/null || :

%if 0%{?suse_version} >= 1140
%verifyscript
%verify_permissions -e %{_bindir}/pmount-hal
%verify_permissions -e %{_bindir}/pmount
%verify_permissions -e %{_bindir}/pumount
%endif

%if 0%{?suse_version} >= 1140
%post
%set_permissions %{_bindir}/pmount-hal
%set_permissions %{_bindir}/pmount
%set_permissions %{_bindir}/pumount
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/pmount.conf
%config(noreplace) %{_sysconfdir}/%{name}.allow
%config %{_sysconfdir}/bash_completion.d/%{name}
%doc %{_mandir}/man1/pmount.1*
%doc %{_mandir}/man1/pumount.1*
%doc %{_mandir}/man5/pmount.conf.5*
%attr(4750 root %{name}) %{_bindir}/%{name}
%attr(4750 root %{name}) %{_bindir}/pumount
%if 0%{?suse_version} < 1200
%attr(4750 root %{name}) %{_bindir}/%{name}-hal
%endif

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix rpmlint error on 12.2+ by adding -fpie to CFLAGS
* Sat Dec  3 2011 pascal.bleser@opensuse.org
- update to 0.9.99-alpha
* Sat Jun 19 2010 detlef@links2linux.de
- new upstream version <0.9.23>
  * fix a security hole (see CVE-2010-2192 for more
  information). Upgrading is seriously recommended.
* Tue May 11 2010 detlef@links2linux.de
- add fix_cryptsetup_rroot.patch
* Fri May  7 2010 detlef@links2linux.de
- new upstream version <0.9.21>
  * now whitelisting ext4.
  * few configure.ac tweaks
  * now, cryptsetup is run by default with ruid = euid = 0 to work
    around a libgcrypt "feature"
  * pulling new translations from Rosetta
* Sat Jan  2 2010 AxelKoellhofer@web.de
- added patch to fix warnings about implcit declarations of functions
- added patch to suppress warning "unknown filesystem ext4dev" on 11.1
- added libblkid-devel to BuildRequires (needed for building in OBS)
* Thu Nov 26 2009 AxelKoellhofer@web.de
- added cryptsetup-rroot.patch from debian upstream
* Fri Nov 13 2009 AxelKoellhofer@web.de
- added bash-completion script (taken from debian sid)
- added ext4 support (adapted patch from debian sid)
- converted sources to bz2
- added rpmlintrc
* Fri Sep 11 2009 detlef@links2linux.de
- new upstream version <0.9.20>
  * fix few typos (in man/pmount.1 and configure.ac)
  * severely discourage lazy unmount
  * switch to errors=remount-ro to avoid massive FS corruption when a
    problem is found
  * allow unmounting of devices which do not exist anymore
  * pulled newer translations from Rosatta
* Thu Mar  5 2009 detlef@links2linux.de
- new upstream version <0.9.19>
  * drop the dependency on libsysfs and also fix failure to recognise
    that a device is removable with newer kernels
  * do realpath expansion on devices whitelisted in /etc/pmount.allow,
    which enables the use of symlinks inside it.
  * fixed few problems in the manual page
  * pulled newer translations from Rosetta
* Fri Oct  3 2008 detlef@links2linux.de
- initial build for PackMan
- cleanup SPEC
* Thu Oct  2 2008 rain_maker@root-forum.org
- modified SPEC to use new group "pmount" instead of "disk" (thx @drcux for advice!)
* Wed Oct  1 2008 rain_maker@root-forum.org
- modified spec based on original file by Tuukka Pasanen
- only member of the group "disk" are allowed to use pmount
- configuration file /etc/pmount.allow will not be overwritten on update
* Tue Oct 23 2007 rpms@ilmi.fi
- Okay this fixes bug that lazy device disapiers before umount
- Gotta get ivman fixed..
* Tue Jul  3 2007 rpms@ilmi.fi
- New version and actually copy binaries :D
* Thu May 24 2007 rpms@ilmi.fi
- Initial build
